#include "utils.h"

LFRPoint::LFRPoint(/* args */) : x(0.0), y(0.0)
{
}

LFRPoint::LFRPoint(double x, double y): x(x), y(y)
{
}

LFRPoint::~LFRPoint()
{
}

LFRVector::LFRVector(/* args */) : LFRPoint()
{
}

LFRVector::LFRVector(double x, double y) : LFRPoint(x, y)
{
}

LFRVector::LFRVector(const LFRPoint& pt) : LFRPoint(pt)
{
    
}

LFRVector::~LFRVector()
{
}

LFRLine::LFRLine(/* args */) : start(), dir()
{
}

LFRLine::LFRLine(LFRPoint start, LFRVector dir) : start(start), dir(dir)
{
}

LFRLine::LFRLine(LFRPoint start, LFRPoint end) : start(start)
{
    dir = end - start;
}

LFRLine::~LFRLine()
{
}
